Subject: Re: [Gen-art] Revision results of hiopt document

From: Heejin Jang <[email-masked]>
Date: Fri, 11 Apr 2008 00:42:03 +0000 (GMT)

Ok.
I'll replace the text with the text that you proposed.
Thanks. :)
 
- Best regards, 
Heejin.

------- Original Message -------
Sender : Jari Arkko<[email-masked]>
Date   : 2008-04-10 18:32 (GMT+09:00)
Title  : Re: Revision results of hiopt document

Oops, I missed the response. I have updated the RFC Editor notes per the
below text. But I did keep my text proposal for 4.1 because I felt we
needed to state something about choosing the first applicable result.

Jari

Heejin Jang kirjoitti:
> Hi Shuresh.
>
> Thanks for your quick and kind reply.
> Please see the inline answer. 
>
>   
>> -----Original Message-----
>> From: Suresh Krishnan [mailto:[email-masked]] 
>> Sent: Thursday, April 10, 2008 8:12 AM
>> To: [email-masked]
>> Cc: [email-masked]; [email-masked]; 
>> [email-masked]; [email-masked]; 
>> [email-masked]; [email-masked]
>> Subject: Re: Revision results of hiopt document
>>
>> Hi Heejin,
>> I have read the latest revision of the document. It looks 
>> very good. 
>> It has addressed all my comments from -11.
>>
>> New Comments
>> ============
>>
>> * Precedence: The following pieces of text are potentially conflicting
>>
>> Section 4.3: The provided multiple options SHOULD be listed 
>> in order of    
>> preference. multiple sub-options also SHOULD be listed in order of    
>> preference within a single option.
>>
>> Section 4.1: When provided with more than one Home Network 
>> Information options having the different id-types or multiple 
>> sub-options for the same id-type, the mobile node is required 
>> to have a selection mechanism to determine which one to use 
>> for establishing a Mobile IPv6 session.
>>
>> I think it is better to change section 4.1 to use the same 
>> algorithm specified in 4.3
>>     
>
> Ok. That part in Section 4.1 will be changed as below. 
>
> New>  
>
> When provided with more than one Home Network Information options 
> having the different id-types or multiple sub-options for the same id-type, 
> the mobile node SHOULD choose the information to use for establishing a 
> Mobile IPv6 session according to preference order.
>
>   
>> * There is also some new text added that I would like to 
>> comment upon. 
>> It looks like you have added support for DSMIPv6 in this 
>> document. I am fine with that, but I am confused as to why 
>> you would use a new option to carry BOTH IPv6 and IPv4 
>> addresses when there is already an option to carry an IPv6 
>> address for a HA. Isn&#39;t it simpler to just add an option for 
>> an IPv4 HA address? This way you can remove one conflict 
>> scenario where the IPv6 in sub-option 4 differs from the one 
>> in sub-option 3
>>     
>
> Originally, the reason to define new sub-option for dsmip HA is to couple 
> its IPv4 & IPv6 addresses for the same HA with dual-stack. But I cannot
> find much advantage for the coupling, and think it would be better 
> to follow your suggestion. Then the server also provides the information
> for IPv4-only HA.
>
> Old> 
>
> Sec 3.1.1
>
>                4    A pair of IPv6 and IPv4 addresses of
>                     dual-stacked home agent 
>
>    When the Sub-opt-code is set to 4, it MUST contain both of IPv6 and
>    IPv4 addresses of the dual-stacked home agent which can serve for
>    both Mobile IPv6 and Mobile IPv4.  A 128-bit IPv6 address is followed
>    by a 32-bit IPv4 address in this field.
>
> Sec 3.2.1
>
>                3    A pair of IPv6 and IPv4 addresses of
>                     dual-stacked home agent 
>
> The same with the above.
>
> New>
>
> Sec 3.1.1
>
>             4    IPv4 home agent address 
>
>    When the Sub-opt-code is set to 4 , it MUST contain the 32-bit IPv4
>    address of the home agent which is equipped with IPv4 stack only or
>    with dual stack. 
>
> Sec 3.2.1
>
>             3    IPv4 home agent address 
>
> The same with the above.
>
> - Best regards, 
> Heejin.
>
>   
>> Thanks
>> Suresh
>>
>>
>> Heejin Jang wrote:
>>     
>>> Hi, Suresh.
>>>
>>> I&#39;ve submitted a new version of hiopt document which 
>>>       
>> reflected your comments.
>>     
>>> The draft was modified as I proposed and you agreed 
>>>       
>> previously except 
>>     
>>> one comment as I&#39;ve sent an email about it previously.
>>>
>>> Kindly see the attached file and let me know you agree with 
>>>       
>> all the fixes.
>>     
>>> Thanks for your kind help. :)
>>>
>>> - Best regards
>>> Heejin.
>>>  

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art